﻿<%@ Page Title="Stamp PDF Documents" Language="vb" MasterPageFile="~/MasterPage.Master"
	AutoEventWireup="true" CodeBehind="Stamp_PDF.aspx.vb" Inherits="WnvHtmlToPdfDemo.PDF_Editor.Stamp_PDF" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<table style="width: 100%; height: 100%">
		<tr>
			<td style="height: 20px; padding-bottom: 1px">
				<asp:Menu ID="demoMenu" runat="server" Orientation="Horizontal" Font-Bold="True"
					OnMenuItemClick="demoMenu_MenuItemClick">
					<Items>
						<asp:MenuItem Text="Live Demo" ToolTip="Live Demo" Value="Live_Demo" Selected="True">
						</asp:MenuItem>
						<asp:MenuItem Text="Description" ToolTip="Description" Value="Description"></asp:MenuItem>
						<asp:MenuItem Text="Sample Code" ToolTip="Sample Code" Value="Sample_Code"></asp:MenuItem>
					</Items>
					<StaticHoverStyle BackColor="White" Font-Underline="True" />
					<StaticMenuItemStyle Font-Size="14px" ForeColor="Black" BackColor="WhiteSmoke" BorderStyle="Solid"
						BorderWidth="1px" HorizontalPadding="20px" ItemSpacing="1px" VerticalPadding="5px"
						Font-Bold="False" Font-Underline="False" />
					<StaticSelectedStyle BackColor="White" Font-Underline="False" ForeColor="Navy" />
				</asp:Menu>
			</td>
		</tr>
		<tr>
			<td style="border: solid 1px Black; padding-top: 10px; padding-left: 10px; padding-right: 10px;
				padding-bottom: 0px">
				<table style="width: 100%; height: 100%">
					<tr>
						<td style="font-size: 14px; font-weight: bold; height: 20px; padding-bottom: 15px;
							padding-top: 5px">
							Stamp PDF Documents
						</td>
					</tr>
					<tr>
						<td style="width: 100%;">
							<asp:MultiView ID="demoMultiView" runat="server" ActiveViewIndex="0">
								<asp:View ID="liveDemoView" runat="server">
									<table style="width: 535px; height: 855px">
										<tr>
											<td style="vertical-align: top">
												<table>
													<tr>
														<td>
															Winnovative HTML to PDF Converter allows you to add watermarks and stamps to a PDF document.
															The resulted PDF document can be saved to a file, stream or memory buffer. The Full
															Description and a Code Sample can be accessed from the top tabs.
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="padding-bottom: 5px; font-weight: bold">
																		The PDF Document to Stamp
																	</td>
																</tr>
																<tr>
																	<td>
																		<asp:HyperLink ID="pdfFileToStampHyperLink" runat="server" Target="_blank">View the PDF Document to Stamp</asp:HyperLink>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="font-weight: bold" colspan="2">
																		Stamp Size in PDF Page
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px" colspan="2">
																	</td>
																</tr>
																<tr>
																	<td style="width: 20px">
																	</td>
																	<td>
																		<table>
																			<tr>
																				<td>
																					Width:
																				</td>
																				<td style="width: 5px">
																				</td>
																				<td>
																					<asp:TextBox ID="stampWidthTextBox" runat="server" Width="40px">400</asp:TextBox>
																				</td>
																				<td style="width: 5px">
																				</td>
																				<td>
																					pt
																				</td>
																				<td style="width: 25px">
																				</td>
																				<td>
																					Height:
																				</td>
																				<td style="width: 5px">
																				</td>
																				<td>
																					<asp:TextBox ID="stampHeightTextBox" runat="server" Width="40px">400</asp:TextBox>
																				</td>
																				<td style="width: 5px">
																				</td>
																				<td>
																					pt
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="font-weight: bold">
																		Stamp HTML Code
																	</td>
																</tr>
																<tr>
																	<td>
																		<asp:TextBox ID="htmlStringTextBox" runat="server" TextMode="MultiLine" Height="350px"
																			Width="500px"></asp:TextBox>
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px">
																	</td>
																</tr>
																<tr>
																	<td style="font-weight: bold">
																		Base URL
																	</td>
																</tr>
																<tr>
																	<td>
																		<asp:TextBox ID="baseUrlTextBox" runat="server" Text="" Width="500px"></asp:TextBox>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<asp:Button ID="stampPdfButton" runat="server" Text="Stamp PDF" 
																OnClick="stampPdfButton_Click" />
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</asp:View>
								<asp:View ID="descriptionView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="descriptionLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
								<asp:View ID="sampleCodeView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="sampleCodeLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
							</asp:MultiView>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</asp:Content>