﻿<%@ Page Title="Merge Multiple HTML Pages into a Single PDF" Language="vb" MasterPageFile="~/MasterPage.Master"
	AutoEventWireup="true" CodeBehind="Merge_Multiple_HTML.aspx.vb" Inherits="WnvHtmlToPdfDemo.HTML_to_PDF.Merge_Multiple_HTML" %>

<%@ MasterType VirtualPath="~/MasterPage.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<table style="width: 100%; height: 100%">
		<tr>
			<td style="height: 20px; padding-bottom: 1px">
				<asp:Menu ID="demoMenu" runat="server" Orientation="Horizontal" Font-Bold="True"
					OnMenuItemClick="demoMenu_MenuItemClick">
					<Items>
						<asp:MenuItem Text="Live Demo" ToolTip="Live Demo" Value="Live_Demo" Selected="True">
						</asp:MenuItem>
						<asp:MenuItem Text="Description" ToolTip="Description" Value="Description"></asp:MenuItem>
						<asp:MenuItem Text="Sample Code" ToolTip="Sample Code" Value="Sample_Code"></asp:MenuItem>
					</Items>
					<StaticHoverStyle BackColor="White" Font-Underline="True" />
					<StaticMenuItemStyle Font-Size="14px" ForeColor="Black" BackColor="WhiteSmoke" BorderStyle="Solid"
						BorderWidth="1px" HorizontalPadding="20px" ItemSpacing="1px" VerticalPadding="5px"
						Font-Bold="False" Font-Underline="False" />
					<StaticSelectedStyle BackColor="White" Font-Underline="False" ForeColor="Navy" />
				</asp:Menu>
			</td>
		</tr>
		<tr>
			<td style="border: solid 1px Black; height: 776px; padding-top: 10px; padding-left: 10px;
				padding-right: 10px; padding-bottom: 0px">
				<table style="width: 100%; height: 100%">
					<tr>
						<td style="font-size: 14px; font-weight: bold; height: 20px; padding-bottom: 15px;
							padding-top: 5px">
							Merge Multiple HTML Pages into a Single PDF
						</td>
					</tr>
					<tr>
						<td style="width: 100%;">
							<asp:MultiView ID="demoMultiView" runat="server" ActiveViewIndex="0">
								<asp:View ID="liveDemoView" runat="server">
									<table style="width: 535px; height: 855px">
										<tr>
											<td style="vertical-align: top">
												<table>
													<tr>
														<td>
															Winnovative HTML to PDF Converter allows you to merge multiple HTML document into a single
															PDF document. The Full Description and a Code Sample can be accessed from the top
															tabs.
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="padding-bottom: 5px; font-weight: bold">
																		First HTML Page URL
																	</td>
																</tr>
																<tr>
																	<td>
																		<asp:TextBox ID="firstUrlTextBox" runat="server" Text="http://www.cnn.com" Width="500px"></asp:TextBox>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="padding-bottom: 5px; font-weight: bold">
																		Second HTML Page URL
																	</td>
																</tr>
																<tr>
																	<td>
																		<asp:TextBox ID="secondUrlTextBox" runat="server" Text="http://news.google.com" Width="500px"></asp:TextBox>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<table>
																<tr>
																	<td style="font-weight: bold">
																		HTML Merge Options
																	</td>
																</tr>
																<tr>
																	<td style="height: 10px">
																	</td>
																</tr>
																<tr>
																	<td>
																		<asp:CheckBox ID="startNewPageCheckBox" Checked="false" runat="server" Text="Start the Second HTML on a New PDF Page" />
																	</td>
																</tr>
															</table>
														</td>
													</tr>
													<tr>
														<td style="height: 20px">
														</td>
													</tr>
													<tr>
														<td>
															<asp:Button ID="convertToPdfButton" runat="server" Text="Convert HTML to PDF" OnClick="convertToPdfButton_Click" />
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</asp:View>
								<asp:View ID="descriptionView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="descriptionLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
								<asp:View ID="sampleCodeView" runat="server">
									<div style="width: 535px; height: 855px; overflow: scroll; font-size: 11px">
										<asp:Literal ID="sampleCodeLiteral" runat="server"></asp:Literal>
									</div>
								</asp:View>
							</asp:MultiView>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</asp:Content>